<div class="row">
  <div class="col-sm">
    <div class="card">
      <div class="card-header">
        <div class="card-title">
          <div class="row">
            <div class="col-sm margin-top-bottom-auto">
             <span class="h4">
                  <i class="fas fa fa-user-tie"></i>&nbsp; Drivers
              </span>
            </div>
            <div class="col-sm">
              <div class="float-right">
                <app-search-box (searchChange)="onSearchChanged($event)"
                                placeholder="Search For Driver(s): "></app-search-box>
                <button
                  placement="top"
                  ngbTooltip="Refresh Drivers"
                  class="btn btn-neutral btn-round" (click)="refresh()">
                  <i class="fas fa fa-sync"></i>
                  Refresh
                </button>
              </div>
            </div>
          </div>

        </div>
      </div>
      <div class="card-body">
        <table id="dataTable" class="table table-striped table-bordered">
          <thead>
          <tr>
            <th (click)="sortData(head)" [class.cursor]="head.sortable" *ngFor="let head of headers">{{ head.title }}
              <i *ngIf="head.sortable" [className]="head.sortIcon"></i>
            </th>
          </tr>
          </thead>
          <tbody>
          <tr *ngIf="!rows || rows.length == 0 && !isLoading">
            <td [colSpan]="headers.length" class="text-center">No Data Found.</td>
          </tr>
          <tr *ngFor="let row of rows">
            <td>{{row.fullName}}</td>
            <td>{{row.email}}</td>
            <td>{{row.phoneNumber}}</td>
            <td>
              <span [innerHTML]="row.isVerified | boolToVerificationLabel"></span>
            </td>
            <td>
              <span [innerHTML]="row.isEnabled | boolToLabel"></span>
            </td>
            <td>
              <a (click)="viewDetail(row)" class="text-primary cursor"
                 placement="top"
                 ngbTooltip="View Driver Details"><i
                class="fa fa-eye"></i></a>
              &nbsp;
              <a (click)="verifyDriver(row)" class="text-info cursor"
                 placement="top"
                 ngbTooltip="Verify Driver Details"><i
                class="fa fa-user-check"></i></a>
              &nbsp;
              <a *ngIf="!row.isEnabled" (click)="unBlockDriver(row)" href="javascript:void(0)"
                 class="text-warning cursor"
                 placement="top"
                 ngbTooltip="Enable Driver"
              ><i
                class="fa fa-unlock"></i></a>
              <a *ngIf="row.isEnabled" (click)="blockDriver(row)" href="javascript:void(0)"
                 class="text-danger cursor" placement="top"
                 ngbTooltip="Disable Driver"
              ><i class="fa fa-lock"></i></a>
            </td>
          </tr>
          </tbody>
        </table>
        <div class="row">
          <div class="col-sm">
            <ngb-pagination [pageSize]="10" [collectionSize]="totalPage" (pageChange)="changePage($event)"
                            [(page)]="page" [maxSize]="3" [boundaryLinks]="true"></ngb-pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
